source: trunk/dports/editors/vim-app/files/patch-python.diff @ 101348

Last change on this file since 101348 was 101348, checked in by raimue@…, 7 years ago

editors/vim, editors/vim-app:
Update to version 7.3.762
Make +huge the default variant, see #36212

File size: 2.3 KB
  • src/configure.in

    old new  
    838838AC_MSG_RESULT($enable_pythoninterp)
    839839if test "$enable_pythoninterp" = "yes" -o "$enable_pythoninterp" = "dynamic"; then
    840840  dnl -- find the python executable
    841   AC_PATH_PROGS(vi_cv_path_python, python2 python)
     841  AC_MSG_CHECKING(--with-python argument)
     842  AC_ARG_WITH(python, [  --with-python=PATH       which python to use (default: python)],
     843        python_name="$withval"; AC_MSG_RESULT($python_name),
     844        python_name="python"; AC_MSG_RESULT(no))
     845  AC_SUBST(vi_cv_path_python, $python_name)
    842846  if test "X$vi_cv_path_python" != "X"; then
    843847
    844848    dnl -- get its version number
     
    917921            dnl -- delete the lines from make about Entering/Leaving directory
    918922            eval "`cd ${PYTHON_CONFDIR} && make -f "${tmp_mkf}" __ | sed '/ directory /d'`"
    919923            rm -f -- "${tmp_mkf}"
    920             if test "x$MACOSX" = "xyes" && ${vi_cv_path_python} -c \
    921                 "import sys; sys.exit(${vi_cv_var_python_version} < 2.3)"; then
    922               vi_cv_path_python_plibs="-framework Python"
     924            if test "${vi_cv_var_python_version}" = "1.4"; then
     925              vi_cv_path_python_plibs="${PYTHON_CONFDIR}/libModules.a ${PYTHON_CONFDIR}/libPython.a ${PYTHON_CONFDIR}/libObjects.a ${PYTHON_CONFDIR}/libParser.a"
    923926            else
    924               if test "${vi_cv_var_python_version}" = "1.4"; then
    925                   vi_cv_path_python_plibs="${PYTHON_CONFDIR}/libModules.a ${PYTHON_CONFDIR}/libPython.a ${PYTHON_CONFDIR}/libObjects.a ${PYTHON_CONFDIR}/libParser.a"
    926               else
    927                   vi_cv_path_python_plibs="-L${PYTHON_CONFDIR} -lpython${vi_cv_var_python_version}"
    928               fi
    929               vi_cv_path_python_plibs="${vi_cv_path_python_plibs} ${python_BASEMODLIBS} ${python_LIBS} ${python_SYSLIBS} ${python_LINKFORSHARED}"
    930               dnl remove -ltermcap, it can conflict with an earlier -lncurses
    931               vi_cv_path_python_plibs=`echo $vi_cv_path_python_plibs | sed s/-ltermcap//`
     927              vi_cv_path_python_plibs="-L${PYTHON_CONFDIR} -lpython${vi_cv_var_python_version}"
    932928            fi
     929            vi_cv_path_python_plibs="${vi_cv_path_python_plibs} ${python_BASEMODLIBS} ${python_LIBS} ${python_SYSLIBS} ${python_LINKFORSHARED}"
     930            dnl remove -ltermcap, it can conflict with an earlier -lncurses
     931            vi_cv_path_python_plibs=`echo $vi_cv_path_python_plibs | sed s/-ltermcap//`
    933932        ])
    934933
    935934        if test "X$python_DLLLIBRARY" != "X"; then
Note: See TracBrowser for help on using the repository browser.